Bug 863041 - changeset of type 'deletion' under changeset history tab should show the deleted contents
changeset of type 'deletion' under changeset history tab should show the dele...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 05:56 EDT by Sachin Ghai
Modified: 2014-03-12 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 14:53:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changeset of type 'deletion' doesn't show the deleted contents under changeset history (42.00 KB, image/png)
2012-10-04 05:56 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-10-04 05:56:34 EDT
Created attachment 621512 [details]
changeset of type 'deletion' doesn't show the deleted contents under changeset history

Description of problem:
When we create changeset of type 'deletion' to delete a repo/product from an env. Then the specified repo get deleted but the changeset doesn't show the deleted contents under the changeset history 'details'.

This happens only when you create/apply changeset from cli.

Version-Release number of selected component (if applicable):

katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-all-1.1.12-12.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch

How reproducible:
always

Steps to Reproduce:
1. katello> changeset create --name  我喜欢吃饺子_MötleyCrüe --org ACME_Corporation --deletion --environment devSuccessfully created changeset [ 我喜欢吃饺子_MötleyCrüe ] for environment [ dev ]

2. katello> changeset update --from_product "Red Hat Enterprise Linux Server" --add_repo "Red Hat CloudForms Tools for RHEL 6 RPMs x86_64 6.3"  --name  我喜欢吃饺子_MötleyCrüe --org ACME_Corporation --env dev
Successfully updated changeset [ 我喜欢吃饺子_MötleyCrüe ]

3. katello> changeset apply --name 我喜欢吃饺子_MötleyCrüe --org ACME_Corporation --env devChangeset [ 我喜欢吃饺子_MötleyCrüe ] applied

4. select the changeset from chnageset history tab from UI
  
Actual results:
changeset of type 'deletion' under changeset history tab should show the contents 

Expected results:

UI should show the deleted contents.


Additional info:
Comment 3 Mike McCune 2013-08-16 13:51:41 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Bryan Kearney 2014-03-11 14:53:50 EDT
Closing old bugs which are not relevant based on new UI and CLI
Comment 5 Bryan Kearney 2014-03-12 18:52:30 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.